
From: Tom Zanussi <zanussi@us.ibm.com>

This patch adds a field for clients to use as they wish, as suggested by
Mathieu Desnoyers.

Signed-off-by: Tom Zanussi <zanussi@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 include/linux/relayfs_fs.h |    1 +
 1 files changed, 1 insertion(+)

diff -puN include/linux/relayfs_fs.h~relayfs-add-private-data-to-channel-struct include/linux/relayfs_fs.h
--- 25/include/linux/relayfs_fs.h~relayfs-add-private-data-to-channel-struct	Fri Jun 24 16:16:57 2005
+++ 25-akpm/include/linux/relayfs_fs.h	Fri Jun 24 16:16:57 2005
@@ -59,6 +59,7 @@ struct rchan
 	int overwrite;			/* overwrite buffer when full? */
 	struct rchan_callbacks *cb;	/* client callbacks */
 	struct kref kref;		/* channel refcount */
+	void *private_data;		/* for user-defined data */
 	struct rchan_buf *buf[NR_CPUS]; /* per-cpu channel buffers */
 };
 
_
